<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ChunkedCipherInputStream (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ChunkedCipherInputStream (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":6,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ChunkedCipherInputStream.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
               title="enum in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherOutputStream.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html" target="_top">Frames</a>
        </li>
        <li><a href="ChunkedCipherInputStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.java.io.FilterInputStream">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.crypt</div>
    <h2 title="Class ChunkedCipherInputStream" class="title">Class ChunkedCipherInputStream</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.io.InputStream</li>
                <li>
                    <ul class="inheritance">
                        <li>java.io.FilterInputStream</li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                       title="class in org.apache.poi.util">org.apache.poi.util.LittleEndianInputStream</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.poifs.crypt.ChunkedCipherInputStream</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable, <a
                            href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                            title="interface in org.apache.poi.util">LittleEndianInput</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">ChunkedCipherInputStream</span>
extends <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html" title="class in org.apache.poi.util">LittleEndianInputStream</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a name="fields.inherited.from.class.java.io.FilterInputStream">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;java.io.FilterInputStream</h3>
                                <code>in</code></li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#ChunkedCipherInputStream-java.io.InputStream-long-int-">ChunkedCipherInputStream</a></span>(java.io.InputStream&nbsp;stream,
                                    long&nbsp;size,
                                    int&nbsp;chunkSize)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#ChunkedCipherInputStream-java.io.InputStream-long-int-int-">ChunkedCipherInputStream</a></span>(java.io.InputStream&nbsp;stream,
                                    long&nbsp;size,
                                    int&nbsp;chunkSize,
                                    int&nbsp;initialPos)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#available--">available</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#getChunk--">getChunk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#getChunkMask--">getChunkMask</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#getPlain--">getPlain</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#getPos--">getPos</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected abstract javax.crypto.Cipher</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#initCipherForBlock-javax.crypto.Cipher-int-">initCipherForBlock</a></span>(javax.crypto.Cipher&nbsp;existing,
                                    int&nbsp;block)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>javax.crypto.Cipher</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#initCipherForBlock-int-">initCipherForBlock</a></span>(int&nbsp;block)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#invokeCipher-int-boolean-">invokeCipher</a></span>(int&nbsp;totalBytes,
                                    boolean&nbsp;doFinal)</code>
                                    <div class="block">Helper function for overriding the cipher invocation, i.e.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#mark-int-">mark</a></span>(int&nbsp;readlimit)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#markSupported--">markSupported</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#read--">read</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#read-byte:A-int-int-">read</a></span>(byte[]&nbsp;b,
                                    int&nbsp;off,
                                    int&nbsp;len)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#readPlain-byte:A-int-int-">readPlain</a></span>(byte[]&nbsp;b,
                                    int&nbsp;off,
                                    int&nbsp;len)</code>
                                    <div class="block">Used when BIFF header fields (sid, size) are being read.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#reset--">reset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#setNextRecordSize-int-">setNextRecordSize</a></span>(int&nbsp;recordSize)</code>
                                    <div class="block">Some ciphers (actually just XOR) are based on the record size,
                                        which needs to be set before decryption
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html#skip-long-">skip</a></span>(long&nbsp;n)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.util.LittleEndianInputStream">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.util.<a
                                        href="../../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                        title="class in org.apache.poi.util">LittleEndianInputStream</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readByte--">readByte</a>,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readDouble--">readDouble</a>,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readFully-byte:A-">readFully</a>,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readFully-byte:A-int-int-">readFully</a>,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readInt--">readInt</a>,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readLong--">readLong</a>,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readShort--">readShort</a>,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readUByte--">readUByte</a>,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readUInt--">readUInt</a>,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readUShort--">readUShort</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.io.FilterInputStream">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.io.FilterInputStream</h3>
                                <code>close, read</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ChunkedCipherInputStream-java.io.InputStream-long-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ChunkedCipherInputStream</h4>
                                <pre>public&nbsp;ChunkedCipherInputStream(java.io.InputStream&nbsp;stream,
                                long&nbsp;size,
                                int&nbsp;chunkSize)
                         throws java.security.GeneralSecurityException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.security.GeneralSecurityException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ChunkedCipherInputStream-java.io.InputStream-long-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ChunkedCipherInputStream</h4>
                                <pre>public&nbsp;ChunkedCipherInputStream(java.io.InputStream&nbsp;stream,
                                long&nbsp;size,
                                int&nbsp;chunkSize,
                                int&nbsp;initialPos)
                         throws java.security.GeneralSecurityException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.security.GeneralSecurityException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="initCipherForBlock-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>initCipherForBlock</h4>
                                <pre>public final&nbsp;javax.crypto.Cipher&nbsp;initCipherForBlock(int&nbsp;block)
                                             throws java.io.IOException,
                                                    java.security.GeneralSecurityException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>java.security.GeneralSecurityException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="initCipherForBlock-javax.crypto.Cipher-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>initCipherForBlock</h4>
                                <pre>protected abstract&nbsp;javax.crypto.Cipher&nbsp;initCipherForBlock(javax.crypto.Cipher&nbsp;existing,
                                                          int&nbsp;block)
                                                   throws java.security.GeneralSecurityException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.security.GeneralSecurityException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="read--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>read</h4>
                                <pre>public&nbsp;int&nbsp;read()
         throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>read</code>&nbsp;in class&nbsp;<code>java.io.FilterInputStream</code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="read-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>read</h4>
                                <pre>public&nbsp;int&nbsp;read(byte[]&nbsp;b,
                int&nbsp;off,
                int&nbsp;len)
         throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>read</code>&nbsp;in class&nbsp;<code>java.io.FilterInputStream</code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="skip-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>skip</h4>
                                <pre>public&nbsp;long&nbsp;skip(long&nbsp;n)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>skip</code>&nbsp;in class&nbsp;<code>java.io.FilterInputStream</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="available--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>available</h4>
                                <pre>public&nbsp;int&nbsp;available()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/util/LittleEndianInput.html#available--">available</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#available--">available</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                                title="class in org.apache.poi.util">LittleEndianInputStream</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="markSupported--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>markSupported</h4>
                                <pre>public&nbsp;boolean&nbsp;markSupported()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>markSupported</code>&nbsp;in
                                        class&nbsp;<code>java.io.FilterInputStream</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="mark-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>mark</h4>
                                <pre>public&nbsp;void&nbsp;mark(int&nbsp;readlimit)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>mark</code>&nbsp;in class&nbsp;<code>java.io.FilterInputStream</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="reset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>reset</h4>
                                <pre>public&nbsp;void&nbsp;reset()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>reset</code>&nbsp;in class&nbsp;<code>java.io.FilterInputStream</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChunkMask--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChunkMask</h4>
                                <pre>protected&nbsp;int&nbsp;getChunkMask()</pre>
                            </li>
                        </ul>
                        <a name="invokeCipher-int-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>invokeCipher</h4>
                                <pre>protected&nbsp;int&nbsp;invokeCipher(int&nbsp;totalBytes,
                           boolean&nbsp;doFinal)
                    throws java.security.GeneralSecurityException</pre>
                                <div class="block">Helper function for overriding the cipher invocation, i.e. XOR
                                    doesn't use a cipher
                                    and uses it's own implementation
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.security.GeneralSecurityException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readPlain-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readPlain</h4>
                                <pre>public&nbsp;void&nbsp;readPlain(byte[]&nbsp;b,
                      int&nbsp;off,
                      int&nbsp;len)</pre>
                                <div class="block">Used when BIFF header fields (sid, size) are being read. The internal
                                    <code>Cipher</code> instance must step even when unencrypted bytes are read
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/util/LittleEndianInput.html#readPlain-byte:A-int-int-">readPlain</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#readPlain-byte:A-int-int-">readPlain</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                                title="class in org.apache.poi.util">LittleEndianInputStream</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>b</code> - the byte array to receive the bytes</dd>
                                    <dd><code>off</code> - the start offset into the byte array</dd>
                                    <dd><code>len</code> - the amount of bytes to fill</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNextRecordSize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNextRecordSize</h4>
                                <pre>public&nbsp;void&nbsp;setNextRecordSize(int&nbsp;recordSize)</pre>
                                <div class="block">Some ciphers (actually just XOR) are based on the record size,
                                    which needs to be set before decryption
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>recordSize</code> - the size of the next record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChunk</h4>
                                <pre>protected&nbsp;byte[]&nbsp;getChunk()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the chunk bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPlain--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPlain</h4>
                                <pre>protected&nbsp;byte[]&nbsp;getPlain()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the plain bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPos--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getPos</h4>
                                <pre>public&nbsp;long&nbsp;getPos()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the absolute position in the stream</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ChunkedCipherInputStream.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
               title="enum in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherOutputStream.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html" target="_top">Frames</a>
        </li>
        <li><a href="ChunkedCipherInputStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.java.io.FilterInputStream">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
